TEXTOOLS(1)

NAME
textools - generate TeX map files, afm files, fix texmf trees

SYNOPSIS
textools [ OPTIONS ... ] [ pattern or name or fromroot toroot ] [ MODIFIER OPTIONS ... ]

DESCRIPTION
textools processes map files, converts Mac files to DOS format, generates map files, fixes texmf trees, and performs a utility-belt worth of other tasks also useful in installing and maintaining the zillion auxilliary files that tex(1) and its friends require.

OPTIONS
The modifier options are listed after the options that they modify.

--downcasefilenames [--recurse] [--force]

--encmake afmfile encodingname

--findfile filename [--recurse]

--fixafmfiles [pattern] [--recurse]

--fixtexmftrees [texmfroot] [--force]

--hidemapnames [pattern] [--recurse]

--mactodos [pattern] [--recurse]
    Fixes newlines from Macintosh files so that the file is readable in DOS.

--removemapnames [pattern] [--recurse]

--replacefile filename [--force]

--restoremapnames [pattern] [--recurse]

--showfont filename

--stripformfeeds [--recurse] [--force]

--tpmmake tpmfile
    Package files into a t-modulename.tpm file. Imagine this file structure:
        tex/context/third/modulename/t-modulename.vim
        doc/context/third/modulename/modulename-doc.pdf
        doc/context/third/modulename/modulename-demo.pdf
        tpm/t-modulename.tpm
    where t-modulename.tpm is a valid tpm file. When you run
        textools --tpmmake t-modulename
    the textools command will replace file sizes declared in the tpm file with proper values and create a ZIP archive t-modulename.zip with the files specified by the tpm file. This command needs to be run in the root of the TEXMF tree.

--unzipfiles [pattern] [--recurse]

--updatetree fromroot toroot [--force --nocheck --merge --delete]

--videmapnames [pattern] [--recurse]

SEE ALSO

texexec(1), texmfstart(1).

BUGS
This manual page is incomplete because I have no clue what this program does.

AUTHOR
textools(1) is part of the suite of typesetting programs based on the tex(1) family of typesetting programs. This manual page was written by Sanjoy Mahajan <sanjoy@mit.edu> based on running textools --help and with help from Mojca Miklavec. It is in the public domain.